mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Variables
Variables for the splitpoint view

## Variables

gint | first_splitpoint_selected = -1
gboolean | new_left_splitpoint_added = FALSE
gint | preview_start_position
gint | preview_start_splitpoint = -1
gboolean | quick_preview = FALSE
gint | quick_preview_end_splitpoint = -1
GtkWidget * | spinner_hundr_secs
GtkWidget * | spinner_minutes
GtkWidget * | spinner_seconds
gint | this_row = 0

## Detailed Description

## Variable Documentation

gint first_splitpoint_selected = -1

The selected splitpoint.

used when we move the splitpoint we have selected

Definition at line 139 of file tree_tab.c.

Referenced by add_splitpoint(), and update_splitpoint().

gboolean new_left_splitpoint_added = FALSE

A bool that helps us catch the case that we add splitpoints during preview.

if we add a new splitpoint at the left and we are currently previewing, we should increment quick_preview start and end

Definition at line 133 of file tree_tab.c.

gint preview_start_position

the position transmitted to the player

Definition at line 124 of file tree_tab.c.

Referenced by player_quick_preview(), and preview_song().

gint preview_start_splitpoint = -1

Which splitpoint we started the preview at.

Definition at line 126 of file tree_tab.c.

Referenced by add_splitpoint(), cancel_quick_preview_all(), change_progress_bar(), da_unpress_event(), mytimer(), player_quick_preview(), and remove_splitpoint().

gboolean quick_preview = FALSE

if we have a preview, preview = TRUE

Definition at line 113 of file tree_tab.c.

Referenced by add_splitpoint(), cancel_quick_preview(), da_unpress_event(), mytimer(), and player_quick_preview().

gint quick_preview_end_splitpoint = -1

the end of the preview

preview_end_position = -1 means don't stop until the end of the song

Definition at line 119 of file tree_tab.c.

Referenced by add_splitpoint(), cancel_quick_preview_all(), change_progress_bar(), da_unpress_event(), mytimer(), player_quick_preview(), preview_song(), and remove_splitpoint().

GtkWidget* spinner_hundr_secs

The hundreths of seconds spinner.

Definition at line 110 of file tree_tab.c.

Referenced by create_init_spinners_buttons(), and update_hundr_secs_from_spinner().

GtkWidget* spinner_minutes

The minutes spinner.

Definition at line 106 of file tree_tab.c.

Referenced by create_init_spinners_buttons(), and update_minutes_from_spinner().

GtkWidget* spinner_seconds

The seconds spinner.

Definition at line 108 of file tree_tab.c.

Referenced by create_init_spinners_buttons(), and update_seconds_from_spinner().

gint this_row = 0

The number of the split point for the preview.

Definition at line 122 of file tree_tab.c.

Referenced by preview_song().